<?php
	$intervals = array(5, 10, 15, 20, 30, 60, 120);
	$ds_step = (int)@$_GET['ds_step'];
	if (!in_array($ds_step, $intervals))
		$ds_step = 15;
?>
<html>
<head>
	<title>Cacti - RT</title>
	<meta http-equiv=refresh content='<?=$ds_step?>'>
	<link href="../../include/main.css" rel="stylesheet">
	<script type="text/javascript">
	<!--
	var ds_step = <?=(int)$ds_step?> + 1;
	function countdown_update()
	{
		ds_step--;
		if (ds_step < 0)
			ds_step = 0;
		var el = document.getElementById('countdown');
		if (el)
			el.innerHTML = '' + ds_step + ' seconds left.';
		setTimeout('countdown_update()', 1000);
	}
	setTimeout('countdown_update()', 1000);
	-->
	</script>
</head>
<body style="text-align: center;">
<form method="get" action="graph_popup_rt.php" id="gform">
	<input type="hidden" name="local_graph_id" value="<?=$_GET['local_graph_id']?>"/>
	<label for="ds_step">Interval</label>
	<select name="ds_step" id="ds_step" onchange="document.getElementById('gform').submit()">
	<?php
	foreach ($intervals as $interval)
	{
		printf('<option value="%d"%s>%d seconde(s)</option>',
			$interval, $interval == $ds_step ? ' selected="selected"' : '', $interval
		);
	}
	?>
	</select>
	- <span id="countdown"><?=$ds_step?> seconds left.</span>
</form>
<img src="graph_image_rt.php?local_graph_id=<?=$_GET['local_graph_id']?>&ds_step=<?=$ds_step?>"/>

</body>
</html>
